Bug 430757 - virt-clone doesn't work
virt-clone doesn't work
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-29 13:07 EST by Kevin Fenzi
Modified: 2008-11-25 09:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-25 09:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-01-29 13:07:57 EST
Trying to use the virt-clone script results in: 

# virt-clone -o centos4-i386 -n centos4-i386-clone -f
ERROR:  Disk size must be an int or a float.
What would you like to use as the disk (path)?

Comment 1 Cole Robinson 2008-01-30 17:34:14 EST
Applied a fix for this upstream:

Comment 2 Kevin Fenzi 2008-01-31 12:04:03 EST
Excellent. :) Any idea when a new fedora update will be out?

The status of POST here seems odd... isn't that for kernel patches? 
Comment 3 Cole Robinson 2008-01-31 12:19:57 EST
Yeah the whole bug state thing confuses me. It was recommended to me to put bugs
in POST when they are fixed upstream but not released yet. Seems to me to be a
sensible state between ASSIGNED (developer is aware and potentially working on
it) and MODIFIED (fix is in cvs). Since we really only track virtinst releases
and usually don't apply specific fixes to cvs, MODIFIED doesn't seem appropriate.

As for the update, not sure. In the interim, the fix is a one liner, just make
the above change to /usr/lib/python2.5/site-packages/virtinst/CloneManager.py
Comment 4 Kevin Fenzi 2008-01-31 12:26:13 EST
Yeah, no biggie. I would probibly just leave it ASSIGNED in that situation. 

ok. Easy to do, and glad it's an easy fix. :) 
Comment 5 Daniel Berrange 2008-02-04 10:07:12 EST
The BZ docs saying POST is only for kernel patches is wrong. Since we have a
close relationship between Fedora packages & upstream for all virtualization
userspace, we always put tickets into POST when the patch is posted & merged
upstream. This lets us clearly distinguish BZ which have patches available now
(POST) and those which still require work (ASSIGNED).

The normal workflow for all virtualization bugs is NEW -> ASSIGNED (dev working)
-> POST (patch ready) -> MODIFIED (patch in CVS & Koji) -> ON_QA (in
updates-testing) -> CLOSED (in updates/rawhide)
Comment 6 Cole Robinson 2008-11-25 09:06:54 EST
This was fixed way back in March in 0.300.2-4.fc8, so closing.

Note You need to log in before you can comment on or make changes to this bug.